/**
 * Replaces the outermost double quotes in a string with single quotes,
 * while preserving inner double quotes, particularly those used in attribute selectors.
 *
 * This function ensures that nested quotes are handled correctly to maintain
 * valid JavaScript and CSS syntax.
 *
 * @param {string} input - The input string containing potential double quotes to normalize.
 * @returns {string} - The modified string with outer double quotes replaced by single quotes.
 */
export declare function normalizeQuotes(input: string): string;
export { default as VTPCard } from './VTPCard.vue';
export { default as VTPCodeToggle } from './VTPCodeToggle.vue';
export { default as VTPTabs } from './VTPTabs.vue';
export { default as VTPIconTabs } from './VTPIconTabs.vue';
export { default as VTPToggle } from './VTPToggle.vue';
