import { FileCache } from './file-cache';
/**
 * Monitor directories, updates the cache for HTML and templ files, and supports recursive traversal.
 */
export declare class FileWatcher {
    private fileCache;
    /**
     * Creates an instance of FileWatcher.
     *
     * @param {FileCache} fileCache - The cache system to update when files are read.
     */
    constructor(fileCache: FileCache);
    /**
     * Recursively updates the cache for all HTML and templ files in a specified directory.
     *
     * @param {string} directory - The directory to scan and update the cache for.
     * @returns {Promise<void>} - A promise that resolves when the cache has been updated.
     */
    updateCacheForDirectory(directory: string): Promise<void>;
}
