import { PluginConfig } from '../types';
export declare class CommandBuilder {
    static TEMPL_BIN: string;
    static STATIC_TEMPL_BIN: string;
    /**
     * Builds the command string for generating HTML files from Templ files.
     *
     * @param serverRoot - The root directory of the server.
     * @param resolvedOptions - The plugin options.
     * @returns The command string.
     */
    static buildTemplGenerateCommand(serverRoot: string, options: PluginConfig): string;
    /**
     * Builds the command string for generating HTML files from Templ files.
     *
     * @param serverRoot - The root directory of the server.
     * @param resolvedOptions - The plugin options.
     * @returns The command string.
     */
    static buildStaticTemplCommand(serverRoot: string, options: PluginConfig): string;
}
