import type { VTPMessage } from './types';
export declare class Logger {
    static PREFIX: string;
    static makeMessage(msg: VTPMessage, others: string[]): string;
    static log(headline: string | undefined, message: string, prefix: string, color: (text: string) => string): void;
    static info(msg: VTPMessage, ...others: string[]): void;
    static success(msg: VTPMessage, ...others: string[]): void;
    static error(msg: VTPMessage, ...others: string[]): void;
    static warning(msg: VTPMessage, ...others: string[]): void;
    static logHighlighted(headline: string | undefined, message: string, bgColor: (text: string) => string, textColor: (text: string) => string): void;
    static infoHighlighted(msg: VTPMessage, ...others: string[]): void;
    static successHighlighted(msg: VTPMessage, ...others: string[]): void;
    static errorHighlighted(msg: VTPMessage, ...others: string[]): void;
    static warningHighlighted(msg: VTPMessage, ...others: string[]): void;
}
